読者です 読者をやめる 読者になる 読者になる

らくがきちょう

なんとなく

Amazon Linux に 2.4 系の Apahce と mod_ssl をインストールする

Amazon LinuxApache をインストールする際、yum install httpd すると Apache 2.2 系がインストールされてしまいます。2.4 系の Apache + mod_ssl をインストールする場合は以下のようにします。

sudo yum install -y httpd24 mod24_ssl

mod_ssl についてはチュートリアル: Amazon Linux で SSL/TLS を使用できるように Apache ウェブサーバーを設定するにも記載されています。